curl --request POST \
--url "https://api.stablepay.co/api/v1/fund/deposits/{deposit_id}/confirm" \
--header "Authorization: Bearer <API_KEY>" \
--header "X-StablePay-Timestamp: <TIMESTAMP>" \
--header "X-StablePay-Nonce: <NONCE>" \
--header "X-StablePay-Signature: <SIGNATURE>" \
--header "Content-Type: application/json" \
--data '{
"merchant_id": "2000000001",
"wallet_type": "exchange",
"exchange": "binance"
}'
const response = await fetch("https://api.stablepay.co/api/v1/fund/deposits/{deposit_id}/confirm", {
method: "POST",
headers: {
"Authorization": "Bearer <API_KEY>",
"X-StablePay-Timestamp": "<TIMESTAMP>",
"X-StablePay-Nonce": "<NONCE>",
"X-StablePay-Signature": "<SIGNATURE>",
"Content-Type": "application/json"
},
body: JSON.stringify({
"merchant_id": "2000000001",
"wallet_type": "exchange",
"exchange": "binance"
})
});
console.log(await response.json());
{
"deposit_id": "9000000070",
"merchant_id": "2000000001",
"account_no": "00000001",
"currency": "USDC",
"network": "solana",
"address": "4fYNw3dojWmQ4dXtSGE9epjRGy9pFSx62YymTvAVmRoz",
"wallet_type": "exchange",
"exchange": "binance",
"tx_hash": "5uQ3Xw8Zp2Km7Tn4Vr9Yb6Nc1Hs5Jd3Fg0Lk8Pi2Ou7Ty4Re9Wq6Ew3",
"amount": 10000,
"status": "completed",
"credited_at": 1718726405,
"created": 1718726398
}
全球账户 API
回填 Travel Rule 资金来源
回填 Travel Rule 资金来源
POST
/
api
/
v1
/
fund
/
deposits
/
{deposit_id}
/
confirm
curl --request POST \
--url "https://api.stablepay.co/api/v1/fund/deposits/{deposit_id}/confirm" \
--header "Authorization: Bearer <API_KEY>" \
--header "X-StablePay-Timestamp: <TIMESTAMP>" \
--header "X-StablePay-Nonce: <NONCE>" \
--header "X-StablePay-Signature: <SIGNATURE>" \
--header "Content-Type: application/json" \
--data '{
"merchant_id": "2000000001",
"wallet_type": "exchange",
"exchange": "binance"
}'
const response = await fetch("https://api.stablepay.co/api/v1/fund/deposits/{deposit_id}/confirm", {
method: "POST",
headers: {
"Authorization": "Bearer <API_KEY>",
"X-StablePay-Timestamp": "<TIMESTAMP>",
"X-StablePay-Nonce": "<NONCE>",
"X-StablePay-Signature": "<SIGNATURE>",
"Content-Type": "application/json"
},
body: JSON.stringify({
"merchant_id": "2000000001",
"wallet_type": "exchange",
"exchange": "binance"
})
});
console.log(await response.json());
{
"deposit_id": "9000000070",
"merchant_id": "2000000001",
"account_no": "00000001",
"currency": "USDC",
"network": "solana",
"address": "4fYNw3dojWmQ4dXtSGE9epjRGy9pFSx62YymTvAVmRoz",
"wallet_type": "exchange",
"exchange": "binance",
"tx_hash": "5uQ3Xw8Zp2Km7Tn4Vr9Yb6Nc1Hs5Jd3Fg0Lk8Pi2Ou7Ty4Re9Wq6Ew3",
"amount": 10000,
"status": "completed",
"credited_at": 1718726405,
"created": 1718726398
}
完整认证、签名、数据约定与错误响应。每次重试均须重新生成时间戳、nonce 与签名。
POST /fund/deposits/{deposit_id}/confirm 回填资金来源:钱包类型,交易所时还需交易所标识。
请求头
string
必填
Bearer API Key。
string
必填
Unix 秒,允许与服务端相差最多 5 分钟。
string
必填
每次请求唯一的随机串,16–64 字符。
string
必填
HMAC-SHA256 签名,小写十六进制;签名必须对应实际发送的请求体。
请求参数
string
必填
充值记录 ID
string
10 位数字;商户 App 不传,服务商 App 必传
string
必填
wallet 个人钱包、exchange 交易所
string
wallet_type=exchange 时必填,如 binance响应
string
必填
充值记录 ID,10 位数字
string
必填
商户 ID
string
入账账户编号
string
必填
稳定币币种
string
必填
充值网络
string
必填
入金地址
string
备注 / Tag
string
wallet 或 exchange
string
交易所标识
string
链上交易哈希
integer
必填
充值金额,币种最小单位
string
必填
pending 待确认、completed 已入账
integer
入账时间
integer
必填
首次观测时间
状态与错误
400 参数不合法;404 记录不存在。curl --request POST \
--url "https://api.stablepay.co/api/v1/fund/deposits/{deposit_id}/confirm" \
--header "Authorization: Bearer <API_KEY>" \
--header "X-StablePay-Timestamp: <TIMESTAMP>" \
--header "X-StablePay-Nonce: <NONCE>" \
--header "X-StablePay-Signature: <SIGNATURE>" \
--header "Content-Type: application/json" \
--data '{
"merchant_id": "2000000001",
"wallet_type": "exchange",
"exchange": "binance"
}'
const response = await fetch("https://api.stablepay.co/api/v1/fund/deposits/{deposit_id}/confirm", {
method: "POST",
headers: {
"Authorization": "Bearer <API_KEY>",
"X-StablePay-Timestamp": "<TIMESTAMP>",
"X-StablePay-Nonce": "<NONCE>",
"X-StablePay-Signature": "<SIGNATURE>",
"Content-Type": "application/json"
},
body: JSON.stringify({
"merchant_id": "2000000001",
"wallet_type": "exchange",
"exchange": "binance"
})
});
console.log(await response.json());
{
"deposit_id": "9000000070",
"merchant_id": "2000000001",
"account_no": "00000001",
"currency": "USDC",
"network": "solana",
"address": "4fYNw3dojWmQ4dXtSGE9epjRGy9pFSx62YymTvAVmRoz",
"wallet_type": "exchange",
"exchange": "binance",
"tx_hash": "5uQ3Xw8Zp2Km7Tn4Vr9Yb6Nc1Hs5Jd3Fg0Lk8Pi2Ou7Ty4Re9Wq6Ew3",
"amount": 10000,
"status": "completed",
"credited_at": 1718726405,
"created": 1718726398
}
最后修改于 2026年10月29日
此页面对您有帮助吗?
